Bug 189676 - net-im/mcabber window resize broken by MFV r262639: ncurses 5.9 20140222 snapshot.
Summary: net-im/mcabber window resize broken by MFV r262639: ncurses 5.9 20140222 snap...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-11 18:10 UTC by Stefan Grundmann
Modified: 2015-09-21 10:22 UTC (History)
2 users (show)

See Also:


Attachments
Fix (380 bytes, patch)
2015-03-20 15:23 UTC, Romain Tartière
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Grundmann 2014-05-11 18:10:00 UTC
after r262639 the SIGWINCH workaround (which is enabled by the --enable-sigwinch CONFIGURE_ARG) is 
a) no longer needed and (window resize works as expected without this) and 
b) SIGWINCH or terminal window resize results in mcabber beeing no longer responsive to keyboard events at 100% CPU

Fix: 

do not set --enable-sigwinch after r262639
How-To-Repeat: on 11.0-CURRENT after r262639: build & install net-im/mcabber
start mcabber process, pkill -WINCH mcabber (or resize the terminal window)

-> mcabber process unresponsive at 100% CPU.
Comment 1 Edwin Groothuis freebsd_committer 2014-05-13 05:49:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Romain Tartière freebsd_committer 2015-03-20 15:23:53 UTC
Created attachment 154579 [details]
Fix
Comment 3 Romain Tartière freebsd_committer 2015-03-20 15:24:11 UTC
The same problem can be solved with the same patch on FreeBSD 10.1-STABLE (tested on a system at r279278).

Patch attached.
Comment 4 Jan Beich freebsd_committer 2015-08-30 23:06:13 UTC
Reset assignee per ports r389300.
Comment 5 Damien 2015-09-20 01:18:01 UTC
This bug still exists and I am manually setting:

CONFIGURE_ARGS=	--disable-hgcset --enable-sigwinch to
CONFIGURE_ARGS=	--disable-hgcset

in the mcabber port Makefile at the moment to avoid this window resizing issue.
Comment 6 Romain Tartière freebsd_committer 2015-09-21 10:21:47 UTC
Fixed in r397484.
Comment 7 commit-hook freebsd_committer 2015-09-21 10:22:28 UTC
A commit references this bug:

Author: romain
Date: Mon Sep 21 10:21:33 UTC 2015
New revision: 397484
URL: https://svnweb.freebsd.org/changeset/ports/397484

Log:
  Unbreak window resizing.

  PR:		189676
  Submitted by:	sg2342@googlemail.com

Changes:
  head/net-im/mcabber/Makefile